POST/shorts.v1alpha1.HousingService/GetHousePriceSeries

GetHousePriceSeries

A single house-price time series for a region and measure.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
dwellingTypestring

optional; default 'all' (proto string)

measurestring

'mean_price' | 'median_price' | 'price_index' | 'debt_to_income' (proto string)

regionCodestring

'AUS' | 'NSW' | '1GSYD' (proto string)

Responses

200Success
application/json
object
dwellingTypestring

(proto string)

measurestring

(proto string)

pointsarray

(proto shorts.v1alpha1.HousePricePoint)

Array Items:
regionCodestring

(proto string)

regionNamestring

(proto string)

sourcestring

(proto string)

sourceLicencestring

(proto string)

unitstring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.HousingService/GetHousePriceSeries" \
  -H "Content-Type: application/json" \
  -d '{
  "dwellingType": "string",
  "measure": "string",
  "regionCode": "string"
}'